cancel
Showing results for 
Search instead for 
Did you mean: 

I have a complaint...

SOLVED
Highlighted
New User

I have a complaint...

Re: Firefox 4

Dear Mozilla,

I thought that your 'mission' was to provide great products for EVERYONE. If that is the stated mission , then why is Firefox 4 not compatible with MAC OSX PPC ?

Mozilla should not be launching products that are not compatible. There are still many people out there who have old machines. By denying that segment, you are NOT FULFILLING YOUR MISSION STATEMENT.

I went to Firefox because Internet Explorer and even Apple Safari will not support PPC G3. If you are developing a version that is compatible, you should explicitly say that F4 does not work on Mac PPC's at this time.

This action ticks me off no end... Get with the program Mozilla

1 ACCEPTED SOLUTION

Accepted Solutions
Support Forum Moderator

Re: I have a complaint...

The best thing about Mozilla is that they allow anyone to use their code to build specialized, custom browsers for less popular or older computers and operating systems. The only thing Mozilla requires is that they don't call a 3rd party version Firefox. 3rd party versions can't use the Firefox branding and icon pack.

For older Macs that aren't supported in Firefox 4.0, try TenFourFox for PowerPC's running Mac 10.4.11 & 10.5.8 .
http://www.floodgap.com/software/tenfourfox/

10 REPLIES
New User

Re: I have a complaint...

Preach it brother. Us 10.4 users are left in the dust with crappy old FF3. I've actually resorted to Safari. I've never liked Safari all that much, but it functions way better than FF3.

New User

Re: I have a complaint...

Since I have NOT HEARD from anyone at the Mozilla/Firefox team, I assume NO ONE CARES AT MOZILLA about thousands of people who use older machines. ARE YOU GUYS PART OF THE SOLUTION, OR ARE YOU PART OF THE PROBLEM??

Support Forum Moderator

Re: I have a complaint...

The best thing about Mozilla is that they allow anyone to use their code to build specialized, custom browsers for less popular or older computers and operating systems. The only thing Mozilla requires is that they don't call a 3rd party version Firefox. 3rd party versions can't use the Firefox branding and icon pack.

For older Macs that aren't supported in Firefox 4.0, try TenFourFox for PowerPC's running Mac 10.4.11 & 10.5.8 .
http://www.floodgap.com/software/tenfourfox/

New User

Re: I have a complaint...

I absolutely hate, hate, hate Firefox 4.0. It seems that Firefox is trying to copy the "look" of Google Chrome, which is why I hated Chrome. It "appears" uncluttered, but you have to look for too many things...like addons, etc....and alot of the addons that I need to use will not work with this version. I have downloaded an older version, and will continue to use it until it automatically gets updated. Either update the addons, or give us back our old version.

Firefox 4.0...looks good...works bad!!!!!!

New User

Re: I have a complaint...

I have downloaded the TenFour Fox browser. It works OK, a tad buggy at the moment. I was told by the folks who run it that certain Flash plug-ins will be slow and that they haven't found a work-around. I think pretty soon folks with PPC will not be able to use things like youtube, for they rely on flash on PPC's

Now the question for me is what will I replace my PPC iMac with, another Mac, or a PC with Linux, which seems to have taken the place of Apple as an alternative . It is inevitable , but Apple has become more and more like Microsoft, so Open source Linux is the alternative to the alternative!

New User

Re: I have a complaint...

Firefox 4 is a nightmare , I blame Mercury in Retrograde... When my company IT & Digital Media department suggest I use internet explorer, “I rebel” installing Firefox back in 2004? Firefox upgrade has been hell! Pure frustration, with“No Responses”

I have to end then start over,  having to admit defeat,

an push to Internet Explorer. I had problems with adobe updates.

"why what happen Mozilla?"

New User

Re: I have a complaint...

I just got an update for Firefox 3.6 (.17) so the browser is getting updated for now. Sounds to me like Firefox 4 has issues. Anyone from Mozilla out there who can enlighten us on what's happening ??

Support Forum Moderator

Re: I have a complaint...

Mozilla always supports at least two overlapping versions of Firefox with security updates, currently they are supporting 3 different versions.

Firefox 3.5.19 and 3.6.17 were released at the same time, and the Firefox 4.0.1 security update was released a few hours later.


http://www.mozilla.com/en-US/firefox/4.0/system-requirements/

Mac Operating Systems

  • Mac OS X 10.5
  • Mac OS X 10.6

Recommended Hardware

  • Macintosh computer with an Intel x86 processor
  • 512 MB of RAM
  • 200 MB hard drive space

Mac OSX 10.4 and PPC isn't supported in Firefox 4.0.

New User

Re: I have a complaint...

firefox 8 sucks,, if i wanted internet explorer i would be using it!!!! i want the old one back pre 8 ,,, we have been sold down the road ...